/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*                       DIRECCIN DE PRUEBAS Y MEDICIN
/*                           SUBDIRECCION DE ANLISIS
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     TERCER GRADO DE PRIMARIA (Excale 03)
/*
/*                     **** FORMACIN CVICA Y TICA *****
/*
/*                     Ciclo escolar evaluado: 2009 - 2010
/*_____________________________________________________________________________
/*
/*
/*  PROGRAMA PARA CONSTRUIR LA BASE DE DATOS DE ALUMNOS DE EDUCACIN CVICA
/*                               EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte al archivo Excale03_2010_Alum_FCE.txt, el cual est en
/*  formato ASCII, en una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale03_2010_Alum_FCE.txt
/*         as como el archivo Excale03_2010_Alum_FCE.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale03_2010_Alum_FCE.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale03_2010_Alum_FCE.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 18 DE MAYO DEL 2012
/*
/* ****************************************************************************/

/*****************************************************************************
/*    ACTUALIZACIN AL 26 DE NOVIEMBRE DEL 2013
/*
/*   - SE CORRIGIERON LAS ETIQUETAS DE LOS VALORES DE LA VARIABLE EDADC.
/*   - SE CORRIGIERON LAS ETIQUETAS DE LOS VALORES DE LA VARIABLE EDAD_AC.
/*
/*******************************************************************************/



LIBNAME  INEE  "C:\***\";
FILENAME alum  "C:\***\Excale03_2010_Alum_FCE.TXT";

PROC FORMAT;
     VALUE id_entF     1         = "Aguascalientes"
                       2         = "Baja California"
                       3         = "Baja California Sur"
                       4         = "Campeche"
                       5         = "Coahuila"
                       6         = "Colima"
                       7         = "Chiapas"
                       8         = "Chihuahua"
                       9         = "Distrito Federal"
                       10        = "Durango"
                       11        = "Guanajuato"
                       12        = "Guerrero"
                       13        = "Hidalgo"
                       14        = "Jalisco"
                       15        = "Mxico"
                       16        = "Michoacn"
                       17        = "Morelos"
                       18        = "Nayarit"
                       19        = "Nuevo Len"
                       20        = "Oaxaca"
                       21        = "Puebla"
                       22        = "Quertaro"
                       23        = "Quintana Roo"
                       24        = "San Luis Potos"
                       25        = "Sinaloa"
                       26        = "Sonora"
                       27        = "Tabasco"
                       28        = "Tamaulipas"
                       29        = "Tlaxcala"
                       30        = "Veracruz"
                       31        = "Yucatn"
                       32        = "Zacatecas";
     VALUE id_modF     1         = "Urbana Pblica"
                       2         = "Rural Pblica"
                       3         = "Educacin Indgena"
                       4         = "Curso Comunitario"
                       5         = "Privada"
                       6         = "General"
                       7         = "Tcnica"
                       8         = "Telesecundaria"
                       9         = "Privada";
     VALUE $modF       "UP"      = "Urbano Pblico"
                       "RP"      = "Rural Pblico"
                       "EI"      = "Educacin Indgena"
                       "CC"      = "Cursos Comunitarios"
                       "UPV"     = "Privados"
                       "GRAL"    = "General"
                       "TEC"     = "Tcnica"
                       "TV"      = "Telesecundaria"
                       "PRIV"    = "Privada";
     VALUE sexoF       1         = "Hombre"
                       2         = "Mujer"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE edadF       99        = "Respuesta omitida";
     VALUE edadcF      1         = "Ocho aos o menos"
                       2         = "Nueve aos"
                       3         = "Diez aos"
                       4         = "Once aos o ms"
                       9         = "Respuesta omitida";
     VALUE edadnF      1         = "Edad normativa"
                       2         = "Extra-edad"
                       9         = "Respuesta omitida";
     VALUE edad_acF    7         = "7 aos"
                       8         = "8 aos"
                       9         = "9 aos"
                       10        = "10 aos"
                       11        = "11 aos"
                       12        = "12 aos"
                       98        = "Respuesta mltiple"
                       99        = "Respuesta omitida";
     VALUE mes_nacF    1         = "Enero"
                       2         = "Febrero"
                       3         = "Marzo"
                       4         = "Abril"
                       5         = "Mayo"
                       6         = "Junio"
                       7         = "Julio"
                       8         = "Agosto"
                       9         = "Septiembre"
                       10        = "Octubre"
                       11        = "Noviembre"
                       12        = "Diciembre"
                       98        = "Respuesta mltiple"
                       99        = "Respuesta omitida";
     VALUE docenteF    99999     = "Respuesta omitida";
     VALUE ca1_c15F    0         = "Fallo"
                       1         = "Acierto"
                       5         = "Reactivo no alcanzado (se considera como no administrado)"
                       6         = "Reactivo no administrado por error de impresin"
                       7         = "Reactivo no administrado (No se incluy en su cuadernillo de examen)";
RUN;



DATA INEE.Excale03_2010_Alum_FCE;
   LENGTH
       NACIONAL           3
       ESCUELA            4
       ID_ENT             3
       NOM_ENT            $19
       ID_MOD             3
       MOD                $4
       ESTRATO            $7
       ENTEST             $6
       ALUMNO             6
       ID_INSTR           $16
       SEXO               3
       EDAD               8
       EDADC              3
       EDADN              3
       EDAD_AC            3
       MES_NAC            3
       W_ALU              8
       DOCENTE            5
       PCA_01             3
       PCA_02             3
       PCA_03             3
       PCA_04             3
       PCA_05             3
       PCA_06             3
       PCA_07             3
       PCA_08             3
       PCA_09             3
       PCA_10             3
       PCA_11             3
       PCA_12             3
       PCA_13             3
       PCA_14             3
       PCA_15             3
       PCB_01             3
       PCB_02             3
       PCB_03             3
       PCB_04             3
       PCB_05             3
       PCB_06             3
       PCB_07             3
       PCB_08             3
       PCB_09             3
       PCB_10             3
       PCB_11             3
       PCB_12             3
       PCB_13             3
       PCB_14             3
       PCC_01             3
       PCC_02             3
       PCC_03             3
       PCC_04             3
       PCC_05             3
       PCC_06             3
       PCC_07             3
       PCC_08             3
       PCC_09             3
       PCC_10             3
       PCC_11             3
       PCC_12             3
       PCC_13             3
       PCC_14             3
       PCC_15             3
       PV1FCE             8
       PV2FCE             8
       PV3FCE             8
       PV4FCE             8
       PV5FCE             8
       FCENVL1            3
       FCENVL2            3
       FCENVL3            3
       FCENVL4            3
       FCENVL5            3
       FCENVBL1           3
       FCENVBL2           3
       FCENVBL3           3
       FCENVBL4           3
       FCENVBL5           3
       WVARSTRR           3
       W_FSTR1            8
       W_FSTR2            8
       W_FSTR3            8
       W_FSTR4            8
       W_FSTR5            8
       W_FSTR6            8
       W_FSTR7            8
       W_FSTR8            8
       W_FSTR9            8
       W_FSTR10           8
       W_FSTR11           8
       W_FSTR12           8
       W_FSTR13           8
       W_FSTR14           8
       W_FSTR15           8
       W_FSTR16           8
       W_FSTR17           8
       W_FSTR18           8
       W_FSTR19           8
       W_FSTR20           8
       W_FSTR21           8
       W_FSTR22           8
       W_FSTR23           8
       W_FSTR24           8
       W_FSTR25           8
       W_FSTR26           8
       W_FSTR27           8
       W_FSTR28           8
       W_FSTR29           8
       W_FSTR30           8
       W_FSTR31           8
       W_FSTR32           8
       W_FSTR33           8
       W_FSTR34           8
       W_FSTR35           8
       W_FSTR36           8
       W_FSTR37           8
       W_FSTR38           8
       W_FSTR39           8
       W_FSTR40           8
       W_FSTR41           8
       W_FSTR42           8
       W_FSTR43           8
       W_FSTR44           8
       W_FSTR45           8
       W_FSTR46           8
       W_FSTR47           8
       W_FSTR48           8
       W_FSTR49           8
       W_FSTR50           8
       W_FSTR51           8
       W_FSTR52           8
       W_FSTR53           8
       W_FSTR54           8
       W_FSTR55           8
       W_FSTR56           8
       W_FSTR57           8
       W_FSTR58           8
       W_FSTR59           8
       W_FSTR60           8
       W_FSTR61           8
       W_FSTR62           8
       W_FSTR63           8
       W_FSTR64           8
       W_FSTR65           8
       W_FSTR66           8
       W_FSTR67           8
       W_FSTR68           8
       W_FSTR69           8
       W_FSTR70           8
       W_FSTR71           8
       W_FSTR72           8
       W_FSTR73           8
       W_FSTR74           8
       W_FSTR75           8
       W_FSTR76           8
       W_FSTR77           8
       W_FSTR78           8
       W_FSTR79           8
       W_FSTR80           8
       W_FSTR81           8
       W_FSTR82           8
       W_FSTR83           8
       W_FSTR84           8
       W_FSTR85           8
       W_FSTR86           8
       W_FSTR87           8
       W_FSTR88           8
       W_FSTR89           8
       W_FSTR90           8
       W_FSTR91           8
       W_FSTR92           8
       W_FSTR93           8
       W_FSTR94           8
       W_FSTR95           8
       W_FSTR96           8
       W_FSTR97           8
       W_FSTR98           8
       W_FSTR99           8
       W_FSTR100          8
 ;






 INFILE alum MISSOVER LINESIZE = 1297;
   INPUT
      NACIONAL             1 - 1
      ESCUELA              2 - 5
      ID_ENT               6 - 7
      NOM_ENT              8 - 26
      ID_MOD              27 - 27
      MOD                 28 - 31
      ESTRATO             32 - 38
      ENTEST              39 - 44
      ALUMNO              45 - 50
      ID_INSTR            51 - 66
      SEXO                67 - 67
      EDAD                68 - 78
      EDADC               79 - 79
      EDADN               80 - 80
      EDAD_AC             81 - 82
      MES_NAC             83 - 84
      W_ALU               85 - 95
      DOCENTE             96 - 100
      PCA_01             101 - 101
      PCA_02             102 - 102
      PCA_03             103 - 103
      PCA_04             104 - 104
      PCA_05             105 - 105
      PCA_06             106 - 106
      PCA_07             107 - 107
      PCA_08             108 - 108
      PCA_09             109 - 109
      PCA_10             110 - 110
      PCA_11             111 - 111
      PCA_12             112 - 112
      PCA_13             113 - 113
      PCA_14             114 - 114
      PCA_15             115 - 115
      PCB_01             116 - 116
      PCB_02             117 - 117
      PCB_03             118 - 118
      PCB_04             119 - 119
      PCB_05             120 - 120
      PCB_06             121 - 121
      PCB_07             122 - 122
      PCB_08             123 - 123
      PCB_09             124 - 124
      PCB_10             125 - 125
      PCB_11             126 - 126
      PCB_12             127 - 127
      PCB_13             128 - 128
      PCB_14             129 - 129
      PCC_01             130 - 130
      PCC_02             131 - 131
      PCC_03             132 - 132
      PCC_04             133 - 133
      PCC_05             134 - 134
      PCC_06             135 - 135
      PCC_07             136 - 136
      PCC_08             137 - 137
      PCC_09             138 - 138
      PCC_10             139 - 139
      PCC_11             140 - 140
      PCC_12             141 - 141
      PCC_13             142 - 142
      PCC_14             143 - 143
      PCC_15             144 - 144
      PV1FCE             145 - 152
      PV2FCE             153 - 160
      PV3FCE             161 - 168
      PV4FCE             169 - 176
      PV5FCE             177 - 184
      FCENVL1            185 - 185
      FCENVL2            186 - 186
      FCENVL3            187 - 187
      FCENVL4            188 - 188
      FCENVL5            189 - 189
      FCENVBL1           190 - 190
      FCENVBL2           191 - 191
      FCENVBL3           192 - 192
      FCENVBL4           193 - 193
      FCENVBL5           194 - 194
      WVARSTRR           195 - 197
      W_FSTR1            198 - 208
      W_FSTR2            209 - 219
      W_FSTR3            220 - 230
      W_FSTR4            231 - 241
      W_FSTR5            242 - 252
      W_FSTR6            253 - 263
      W_FSTR7            264 - 274
      W_FSTR8            275 - 285
      W_FSTR9            286 - 296
      W_FSTR10           297 - 307
      W_FSTR11           308 - 318
      W_FSTR12           319 - 329
      W_FSTR13           330 - 340
      W_FSTR14           341 - 351
      W_FSTR15           352 - 362
      W_FSTR16           363 - 373
      W_FSTR17           374 - 384
      W_FSTR18           385 - 395
      W_FSTR19           396 - 406
      W_FSTR20           407 - 417
      W_FSTR21           418 - 428
      W_FSTR22           429 - 439
      W_FSTR23           440 - 450
      W_FSTR24           451 - 461
      W_FSTR25           462 - 472
      W_FSTR26           473 - 483
      W_FSTR27           484 - 494
      W_FSTR28           495 - 505
      W_FSTR29           506 - 516
      W_FSTR30           517 - 527
      W_FSTR31           528 - 538
      W_FSTR32           539 - 549
      W_FSTR33           550 - 560
      W_FSTR34           561 - 571
      W_FSTR35           572 - 582
      W_FSTR36           583 - 593
      W_FSTR37           594 - 604
      W_FSTR38           605 - 615
      W_FSTR39           616 - 626
      W_FSTR40           627 - 637
      W_FSTR41           638 - 648
      W_FSTR42           649 - 659
      W_FSTR43           660 - 670
      W_FSTR44           671 - 681
      W_FSTR45           682 - 692
      W_FSTR46           693 - 703
      W_FSTR47           704 - 714
      W_FSTR48           715 - 725
      W_FSTR49           726 - 736
      W_FSTR50           737 - 747
      W_FSTR51           748 - 758
      W_FSTR52           759 - 769
      W_FSTR53           770 - 780
      W_FSTR54           781 - 791
      W_FSTR55           792 - 802
      W_FSTR56           803 - 813
      W_FSTR57           814 - 824
      W_FSTR58           825 - 835
      W_FSTR59           836 - 846
      W_FSTR60           847 - 857
      W_FSTR61           858 - 868
      W_FSTR62           869 - 879
      W_FSTR63           880 - 890
      W_FSTR64           891 - 901
      W_FSTR65           902 - 912
      W_FSTR66           913 - 923
      W_FSTR67           924 - 934
      W_FSTR68           935 - 945
      W_FSTR69           946 - 956
      W_FSTR70           957 - 967
      W_FSTR71           968 - 978
      W_FSTR72           979 - 989
      W_FSTR73           990 - 1000
      W_FSTR74          1001 - 1011
      W_FSTR75          1012 - 1022
      W_FSTR76          1023 - 1033
      W_FSTR77          1034 - 1044
      W_FSTR78          1045 - 1055
      W_FSTR79          1056 - 1066
      W_FSTR80          1067 - 1077
      W_FSTR81          1078 - 1088
      W_FSTR82          1089 - 1099
      W_FSTR83          1100 - 1110
      W_FSTR84          1111 - 1121
      W_FSTR85          1122 - 1132
      W_FSTR86          1133 - 1143
      W_FSTR87          1144 - 1154
      W_FSTR88          1155 - 1165
      W_FSTR89          1166 - 1176
      W_FSTR90          1177 - 1187
      W_FSTR91          1188 - 1198
      W_FSTR92          1199 - 1209
      W_FSTR93          1210 - 1220
      W_FSTR94          1221 - 1231
      W_FSTR95          1232 - 1242
      W_FSTR96          1243 - 1253
      W_FSTR97          1254 - 1264
      W_FSTR98          1265 - 1275
      W_FSTR99          1276 - 1286
      W_FSTR100         1287 - 1297
;




 LABEL
       NACIONAL    = "Variable auxiliar para obtener promedios nacionales"
       ESCUELA     = "Identificador de la escuela"
       ID_ENT      = "Entidad federativa (identificador numrico)"
       NOM_ENT     = "Entidad federativa"
       ID_MOD      = "Estrato escolar o Modalidad educativa (identificador numrico)"
       MOD         = "Estrato escolar o Modalidad educativa"
       ESTRATO     = "Estrato de muestreo. Se construy con ENTIDAD, MODALIDAD Y MARGINALIDAD. No es comn a todas las tablas pues en algunos casos se colapsaron registros"
       ENTEST      = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
       ALUMNO      = "Identificador del alumno"
       ID_INSTR    = "Identificador del cuadernillo de examen"
       SEXO        = "Sexo del alumno"
       EDAD        = "Edad del alumno al mes de mayo de 2010, en aos (al momento de la aplicacin)"
       EDADC       = "Edad del alumno al mes de mayo de 2010, codificada (al momento de la aplicacin)"
       EDADN       = "Edad normativa"
       EDAD_AC     = "Edad en aos cumplidos (al momento de la aplicacin)"
       MES_NAC     = "Mes de nacimiento del alumno (al momento de la aplicacin)"
       W_ALU       = "Peso muestral o ponderador del alumno"
       DOCENTE     = "Identificador del docente que imparte clases al alumno"
       PCA_01      = "Reactivo 32. Valorar los acuerdos para prevenir y resolver conflictos"
       PCA_02      = "Reactivo 25. Reconocer razones para organizarse"
       PCA_03      = "Reactivo 18. Identificacin formas de resolucin de problemas en el entorno"
       PCA_04      = "Reactivo 33. Identificar personas que pueden ayudar ante un conflicto"
       PCA_05      = "Reactivo 7. Valorar el cuidado de la salud"
       PCA_06      = "Reactivo 39. Reconocer los diferentes rasgos culturales en los grupos de pertenencia"
       PCA_07      = "Reactivo 36. Reconocer diferentes formas de familias"
       PCA_08      = "Reactivo 10. Reconocer formas para comunicar los sentimientos"
       PCA_09      = "Reactivo 2. Valorar el respeto de los sentimientos propios y ajenos"
       PCA_10      = "Reactivo 30. Reconocer la necesidad del cuidado del agua"
       PCA_11      = "Reactivo 35. Apreciar el cuidado del medio ambiente"
       PCA_12      = "Reactivo 1. Reconocer la propia responsabilidad en cuidado del medio ambiente"
       PCA_13      = "Reactivo 16. Reconocer situaciones en las que se respetan los derechos de las nias y los nios"
       PCA_14      = "Reactivo 9. Reconocer los derechos de las nias y los nios"
       PCA_15      = "Reactivo 43. Reconocer formas de organizacin que benefician a la comunidad"
       PCB_01      = "Reactivo 4. Apreciar el respeto ante intereses diferentes a los propios"
       PCB_02      = "Reactivo 15. Apreciar el dilogo como mecanismo para resolver conflictos"
       PCB_03      = "Reactivo 11. Reconocer la importancia de las plantas para los seres vivos"
       PCB_04      = "Reactivo 42. Apreciar la participacin en la toma de decisiones colectivas"
       PCB_05      = "Reactivo 38. Identificar ventajas de la organizacin para el bien comn"
       PCB_06      = "Reactivo 12. Reconocer hbitos que favorecen la salud de las nias y los nios"
       PCB_07      = "Reactivo 34. Identificar instituciones que favorecen el cumplimiento de los derechos de las nias y los nios"
       PCB_08      = "Reactivo 40. Reconocer la importancia de la proteccin de las nias y los nios ante el trabajo infantil"
       PCB_09      = "Reactivo 20. Valorar acciones que favorecen la obtenecin de metas"
       PCB_10      = "Reactivo 24. Apreciar la confianza entre los miembros de una organizacin"
       PCB_11      = "Reactivo 13. Valorar la diversidad en el enriquecimiento de las culturas"
       PCB_12      = "Reactivo 14. Identificar tratos discriminatorios en el saln de clase"
       PCB_13      = "Reactivo 31. Reconocer causas de conflicto"
       PCB_14      = "Reactivo 22. Apreciar el dilogo como mecanismo para la convivencia democrtica"
       PCC_01      = "Reactivo 6. Reconocer diferentes formas de resolver conflictos"
       PCC_02      = "Reactivo 44. Reconocer la diferencia de intereses como causa de conflicto"
       PCC_03      = "Reactivo 37. Apreciar la asertividad en organizacin escolar"
       PCC_04      = "Reactivo 8. Reconocer cambios fsicos durante la vida de las nias y los nios"
       PCC_05      = "Reactivo 5. Reconocer situaciones de riesgo que enfrentan nias y nios en diferentes espacios"
       PCC_06      = "Reactivo 17. Identificar hbitos alimenticios para evitar enfermedades"
       PCC_07      = "Reactivo 27. Apreciar la paciencia ante situaciones apremiantes"
       PCC_08      = "Reactivo 19. Valorar la responsabilidad de cumplir acuerdos"
       PCC_09      = "Reactivo 41. Valorar la importancia del respeto para el trabajo en equipo"
       PCC_10      = "Reactivo 26. Identificar problemas ocasionados por el mal uso del agua"
       PCC_11      = "Reactivo 21. Apreciar las diferencias culturales que existen en la localidad"
       PCC_12      = "Reactivo 29. Valorar a Mxico como un pas diverso"
       PCC_13      = "Reactivo 3. Identificar los smbolos patrios"
       PCC_14      = "Reactivo 23. Reconocer diferentes funciones de las reglas"
       PCC_15      = "Reactivo 28. Identificar instituciones que defienden los derechos de las nias y los nios"
       PV1FCE      = "Primer valor plausible de Formacin Cvica y tica"
       PV2FCE      = "Segundo valor plausible de Formacin Cvica y tica"
       PV3FCE      = "Tercer valor plausible de Formacin Cvica y tica"
       PV4FCE      = "Cuarto valor plausible de Formacin Cvica y tica"
       PV5FCE      = "Quinto valor plausible de Formacin Cvica y tica"
       FCENVL1     = "Nivel de logro en Formacin Cvica y tica. Asociado a PV1FCE. (Cuatro niveles)"
       FCENVL2     = "Nivel de logro en Formacin Cvica y tica. Asociado a PV2FCE. (Cuatro niveles)"
       FCENVL3     = "Nivel de logro en Formacin Cvica y tica. Asociado a PV3FCE. (Cuatro niveles)"
       FCENVL4     = "Nivel de logro en Formacin Cvica y tica. Asociado a PV4FCE. (Cuatro niveles)"
       FCENVL5     = "Nivel de logro en Formacin Cvica y tica. Asociado a PV5FCE. (Cuatro niveles)"
       FCENVBL1    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Formacin Cvica y tica. Asociado a PV1FCE."
       FCENVBL2    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Formacin Cvica y tica. Asociado a PV2FCE."
       FCENVBL3    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Formacin Cvica y tica. Asociado a PV3FCE."
       FCENVBL4    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Formacin Cvica y tica. Asociado a PV4FCE."
       FCENVBL5    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Formacin Cvica y tica. Asociado a PV5FCE."
       WVARSTRR    = "Identificador del pseudoestrato (1 a 80) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
       W_FSTR1     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR2     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR3     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR4     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR5     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR6     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR7     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR8     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR9     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR10    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR11    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR12    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR13    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR14    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR15    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR16    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR17    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR18    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR19    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR20    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR21    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR22    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR23    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR24    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR25    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR26    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR27    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR28    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR29    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR30    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR31    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR32    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR33    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR34    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR35    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR36    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR37    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR38    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR39    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR40    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR41    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR42    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR43    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR44    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR45    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR46    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR47    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR48    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR49    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR50    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR51    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR52    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR53    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR54    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR55    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR56    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR57    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR58    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR59    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR60    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR61    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR62    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR63    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR64    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR65    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR66    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR67    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR68    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR69    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR70    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR71    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR72    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR73    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR74    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR75    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR76    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR77    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR78    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR79    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR80    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR81    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR82    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR83    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR84    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR85    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR86    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR87    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR88    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR89    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR90    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR91    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR92    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR93    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR94    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR95    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR96    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR97    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR98    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR99    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR100   = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
;

   FORMAT
       NACIONAL           1.
       ESCUELA            4.
       ID_ENT             id_entF.
       NOM_ENT            $char19.
       ID_MOD             id_modF.
       MOD                $modF.
       ESTRATO            $char7.
       ENTEST             $char6.
       ALUMNO             5.
       ID_INSTR           $char16.
       SEXO               sexoF.
       EDAD               edadF.
       EDADC              edadcF.
       EDADN              edadnF.
       EDAD_AC            edad_acF.
       MES_NAC            mes_nacF.
       DOCENTE            docenteF.
       PCA_01             ca1_c15F.
       PCA_02             ca1_c15F.
       PCA_03             ca1_c15F.
       PCA_04             ca1_c15F.
       PCA_05             ca1_c15F.
       PCA_06             ca1_c15F.
       PCA_07             ca1_c15F.
       PCA_08             ca1_c15F.
       PCA_09             ca1_c15F.
       PCA_10             ca1_c15F.
       PCA_11             ca1_c15F.
       PCA_12             ca1_c15F.
       PCA_13             ca1_c15F.
       PCA_14             ca1_c15F.
       PCA_15             ca1_c15F.
       PCB_01             ca1_c15F.
       PCB_02             ca1_c15F.
       PCB_03             ca1_c15F.
       PCB_04             ca1_c15F.
       PCB_05             ca1_c15F.
       PCB_06             ca1_c15F.
       PCB_07             ca1_c15F.
       PCB_08             ca1_c15F.
       PCB_09             ca1_c15F.
       PCB_10             ca1_c15F.
       PCB_11             ca1_c15F.
       PCB_12             ca1_c15F.
       PCB_13             ca1_c15F.
       PCB_14             ca1_c15F.
       PCC_01             ca1_c15F.
       PCC_02             ca1_c15F.
       PCC_03             ca1_c15F.
       PCC_04             ca1_c15F.
       PCC_05             ca1_c15F.
       PCC_06             ca1_c15F.
       PCC_07             ca1_c15F.
       PCC_08             ca1_c15F.
       PCC_09             ca1_c15F.
       PCC_10             ca1_c15F.
       PCC_11             ca1_c15F.
       PCC_12             ca1_c15F.
       PCC_13             ca1_c15F.
       PCC_14             ca1_c15F.
       PCC_15             ca1_c15F.
 ;




/**************************************************************************
/*  Definicin de valores perdidos
/*   .N o N = No Administrado o no alcanzado.
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   IF  sexo = 8 THEN  sexo = .M;
   IF  edad_ac = 98 THEN  edad_ac = .M;
   IF  mes_nac = 98 THEN  mes_nac = .M;


   ARRAY perdidos1(3)  sexo edadc edadn;
   DO  i=1 TO 3;
         IF perdidos1{i}=9 THEN  perdidos1{i}= .S;
   END;


   ARRAY perdidos2(3)  edad edad_ac mes_nac;
   DO  i=1 TO 3;
         IF perdidos2{i}=99 THEN  perdidos2{i}= .S;
   END;


   IF  docente = 99999 THEN  docente = .S;

   ARRAY perdidos3(44)
                 PCA_01 PCA_02 PCA_03 PCA_04 PCA_05 PCA_06 PCA_07 PCA_08 PCA_09 PCA_10
                 PCA_11 PCA_12 PCA_13 PCA_14 PCA_15 PCB_01 PCB_02 PCB_03 PCB_04 PCB_05
                 PCB_06 PCB_07 PCB_08 PCB_09 PCB_10 PCB_11 PCB_12 PCB_13 PCB_14 PCC_01
                 PCC_02 PCC_03 PCC_04 PCC_05 PCC_06 PCC_07 PCC_08 PCC_09 PCC_10 PCC_11
                 PCC_12 PCC_13 PCC_14 PCC_15;
   DO  i=1 TO 44;
          IF perdidos3{i} = 5   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 6   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 7   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 8   THEN  perdidos3{i} = .M;
          IF perdidos3{i} = 9   THEN  perdidos3{i} = .S;
   END;

   drop i;
RUN;
